searchNodes=[{"ref":"BrotoriftBot.Application.html","title":"BrotoriftBot.Application","type":"module","doc":""},{"ref":"BrotoriftBot.Application.html#start/2","title":"BrotoriftBot.Application.start/2","type":"function","doc":"Called when an application is started. This function is called when an application is started using Application.start/2 (and functions on top of that, such as Application.ensure_started/2). This function should start the top-level process of the application (which should be the top supervisor of the application&#39;s supervision tree if the application follows the OTP design principles around supervision). start_type defines how the application is started: :normal - used if the startup is a normal startup or if the application is distributed and is started on the current node because of a failover from another node and the application specification key :start_phases is :undefined. {:takeover, node} - used if the application is distributed and is started on the current node because of a failover on the node node. {:failover, node} - used if the application is distributed and is started on the current node because of a failover on node node, and the application specification key :start_phases is not :undefined. start_args are the arguments passed to the application in the :mod specification key (e.g., mod: {MyApp, [:my_args]}). This function should either return {:ok, pid} or {:ok, pid, state} if startup is successful. pid should be the PID of the top supervisor. state can be an arbitrary term, and if omitted will default to []; if the application is later stopped, state is passed to the stop/1 callback (see the documentation for the c:stop/1 callback for more information). use Application provides no default implementation for the start/2 callback. Callback implementation for Application.start/2."},{"ref":"BrotoriftBot.BotManager.html","title":"BrotoriftBot.BotManager","type":"module","doc":""},{"ref":"BrotoriftBot.BotManager.html#child_spec/1","title":"BrotoriftBot.BotManager.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. arg is passed as the argument to Task.start_link/1 in the :start field of the spec. For more information, see the Supervisor module, the Supervisor.child_spec/2 function and the Supervisor.child_spec/0 type."},{"ref":"BrotoriftBot.BotManager.html#run/0","title":"BrotoriftBot.BotManager.run/0","type":"function","doc":""},{"ref":"BrotoriftBot.BotManager.html#start_link/1","title":"BrotoriftBot.BotManager.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.BotManager.html#wait_for_bots/1","title":"BrotoriftBot.BotManager.wait_for_bots/1","type":"function","doc":""},{"ref":"BrotoriftBot.Report.html","title":"BrotoriftBot.Report","type":"module","doc":""},{"ref":"BrotoriftBot.Report.html#check_version/3","title":"BrotoriftBot.Report.check_version/3","type":"function","doc":""},{"ref":"BrotoriftBot.Report.html#child_spec/1","title":"BrotoriftBot.Report.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.Report.html#connect/3","title":"BrotoriftBot.Report.connect/3","type":"function","doc":""},{"ref":"BrotoriftBot.Report.html#get_actions/1","title":"BrotoriftBot.Report.get_actions/1","type":"function","doc":""},{"ref":"BrotoriftBot.Report.html#receive/4","title":"BrotoriftBot.Report.receive/4","type":"function","doc":""},{"ref":"BrotoriftBot.Report.html#send/3","title":"BrotoriftBot.Report.send/3","type":"function","doc":""},{"ref":"BrotoriftBot.Report.html#start_link/1","title":"BrotoriftBot.Report.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.ReportManager.html","title":"BrotoriftBot.ReportManager","type":"module","doc":""},{"ref":"BrotoriftBot.ReportManager.html#child_spec/1","title":"BrotoriftBot.ReportManager.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.ReportManager.html#create_report/0","title":"BrotoriftBot.ReportManager.create_report/0","type":"function","doc":""},{"ref":"BrotoriftBot.ReportManager.html#generate_reports/0","title":"BrotoriftBot.ReportManager.generate_reports/0","type":"function","doc":""},{"ref":"BrotoriftBot.ReportManager.html#init/1","title":"BrotoriftBot.ReportManager.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"BrotoriftBot.ReportManager.html#start_link/1","title":"BrotoriftBot.ReportManager.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.ReportSupervisor.html","title":"BrotoriftBot.ReportSupervisor","type":"module","doc":""},{"ref":"BrotoriftBot.ReportSupervisor.html#child_spec/1","title":"BrotoriftBot.ReportSupervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.ReportSupervisor.html#create_report/0","title":"BrotoriftBot.ReportSupervisor.create_report/0","type":"function","doc":""},{"ref":"BrotoriftBot.ReportSupervisor.html#init/1","title":"BrotoriftBot.ReportSupervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"BrotoriftBot.ReportSupervisor.html#start_link/1","title":"BrotoriftBot.ReportSupervisor.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.Supervisor.html","title":"BrotoriftBot.Supervisor","type":"module","doc":""},{"ref":"BrotoriftBot.Supervisor.html#child_spec/1","title":"BrotoriftBot.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.Supervisor.html#init/1","title":"BrotoriftBot.Supervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"BrotoriftBot.Supervisor.html#start_link/1","title":"BrotoriftBot.Supervisor.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.TcpClient.html","title":"BrotoriftBot.TcpClient","type":"module","doc":""},{"ref":"BrotoriftBot.TcpClient.html#child_spec/1","title":"BrotoriftBot.TcpClient.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.TcpClient.html#connect/3","title":"BrotoriftBot.TcpClient.connect/3","type":"function","doc":""},{"ref":"BrotoriftBot.TcpClient.html#init/1","title":"BrotoriftBot.TcpClient.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"BrotoriftBot.TcpClient.html#send_packet/2","title":"BrotoriftBot.TcpClient.send_packet/2","type":"function","doc":""},{"ref":"BrotoriftBot.TcpClient.html#start_link/1","title":"BrotoriftBot.TcpClient.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.TcpClientSupervisor.html","title":"BrotoriftBot.TcpClientSupervisor","type":"module","doc":""},{"ref":"BrotoriftBot.TcpClientSupervisor.html#child_spec/1","title":"BrotoriftBot.TcpClientSupervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.TcpClientSupervisor.html#create_client/2","title":"BrotoriftBot.TcpClientSupervisor.create_client/2","type":"function","doc":""},{"ref":"BrotoriftBot.TcpClientSupervisor.html#init/1","title":"BrotoriftBot.TcpClientSupervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"BrotoriftBot.TcpClientSupervisor.html#start_link/1","title":"BrotoriftBot.TcpClientSupervisor.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.TcpReceiver.html","title":"BrotoriftBot.TcpReceiver","type":"module","doc":""},{"ref":"BrotoriftBot.TcpReceiver.html#child_spec/1","title":"BrotoriftBot.TcpReceiver.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.TcpReceiver.html#init/1","title":"BrotoriftBot.TcpReceiver.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"BrotoriftBot.TcpReceiver.html#recv_packet/1","title":"BrotoriftBot.TcpReceiver.recv_packet/1","type":"function","doc":""},{"ref":"BrotoriftBot.TcpReceiver.html#start_link/1","title":"BrotoriftBot.TcpReceiver.start_link/1","type":"function","doc":""},{"ref":"BrotoriftBot.TcpReceiverSupervisor.html","title":"BrotoriftBot.TcpReceiverSupervisor","type":"module","doc":""},{"ref":"BrotoriftBot.TcpReceiverSupervisor.html#child_spec/1","title":"BrotoriftBot.TcpReceiverSupervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"BrotoriftBot.TcpReceiverSupervisor.html#create_receiver/3","title":"BrotoriftBot.TcpReceiverSupervisor.create_receiver/3","type":"function","doc":""},{"ref":"BrotoriftBot.TcpReceiverSupervisor.html#init/1","title":"BrotoriftBot.TcpReceiverSupervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"BrotoriftBot.TcpReceiverSupervisor.html#start_link/1","title":"BrotoriftBot.TcpReceiverSupervisor.start_link/1","type":"function","doc":""}]